# NVIM Config

Need to install the following:
```bash
# Package Manager
sudo apt install chafa
sudo apt install libmagickwand-dev
sudo apt install librsvg2-bin
sudo apt install imagemagick
sudo apt install texlive-extra-utils
sudo apt install xclip # OR wl-clipboard

# Rust
## - FIRST, install rustup
## - https://www.rust-lang.org/
rustup component add rust-analyzer
cargo install --force --locked bob-nvim
cargo install --force --locked rscls
cargo install --force --locked ripgrep
cargo install --force --locked rust-script
cargo install --force --locked tree-sitter-cli
cargo install --force --locked fd-find
cargo install --force --locked bat
cargo install --force --locked git-delta
cargo install --force --locked skim
cargo install --force --locked stylua
cargo install --force --locked tinymist
cargo install --force --locked typstyle
cargo install --force --locked --features=ssl websocat

# Python
## - FIRST, install uv
## - https://docs.astral.sh/uv/
uv tool install --upgrade mypy
uv tool install --upgrade ruff
uv tool install --upgrade basepyright
uv tool install --upgrade cairosvg

# Haskell
## - FIRST, install "stack".
## - https://docs.haskellstack.org/en/stable/
stack update
stack install ShellCheck

# GO
## - FIRST, install "g".
## - https://github.com/stefanmaric/g
## - REMEMBER to 'export GOPATH=$HOME/.go-path' before installing
go install mvdan.cc/sh/v3/cmd/shfmt@latest
go install lazygit

# remote-python
## Used by plugins that run external to neovim, written in Python
cd $HOME/comps/neovim
uv init --no-readme --python 3.12 remote-python
cd remote-python
uv add pynvim jupyter_client requests websocket-client plotly kaleido==0.2.1

# Firefox
## Create a profile typst-preview w/ user.js?
```


INSTALLATION EXPERIENCES:
- need libreadline-dev and libmagickwand-dev
