return {
	'stevearc/conform.nvim',
	commit = '363243c03102a531a8203311d4f2ae704c620d9b',
	lazy = true,

	cmd = { 'ConformInfo' },

	init = function()
		vim.treesitter.language.register('markdown', { 'quarto', 'rmd' })
	end,

	opts = {
		formatters_by_ft = {
			python = { 'ruff_format', 'ruff_organize_imports' },
			lua = { 'stylua' },
			--python = { 'ruff_format' },
			quarto = { 'injected' },
		},
		default_format_opts = {
			lsp_format = 'fallback',
		},
		formatters = {
			injected = {
				options = {
					ignore_errors = false,
					lang_to_ext = {
						bash = 'sh',
						c_sharp = 'cs',
						elixir = 'exs',
						javascript = 'js',
						julia = 'jl',
						latex = 'tex',
						markdown = 'md',
						python = 'py',
						ruby = 'rb',
						rust = 'rs',
						teal = 'tl',
						r = 'r',
						typescript = 'ts',
					},
					lang_to_formatters = {},
				},
			},
		},
	},
}
